#!/bin/sh

#
# Copyright 2017 Cumulus Networks, Inc.
# All rights reserved.
#

# Configure the MAC address for eth0, using the board EEPROM for the
# MAC address.

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

sysfs_cpld="/sys/bus/platform/devices/cel_questone_cpld.0"

[ -w "${sysfs_cpld}/eeprom_write_protect" ] || {
	log_failure_msg "Unable to find writable eeprom_write_protect sysfs file"
	exit 1
}

# Disable ONIE EEPROM write protect
echo 0 > "${sysfs_cpld}/eeprom_write_protect"
